aboutsummaryrefslogtreecommitdiff
path: root/selinux/compile.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2019-04-09 16:11:38 +0200
committerToni Uhlig <matzeton@googlemail.com>2019-04-09 16:11:38 +0200
commitf62bbc82579868aa1c494b0082136ed7c3c583f7 (patch)
treefd749d5ae391efdc7d87b3d88db07b41f2116358 /selinux/compile.sh
parent1c04661dc9b11c6506e96a21e79b3587b4038a28 (diff)
updated selinux policy file and added compile script
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'selinux/compile.sh')
-rw-r--r--selinux/compile.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/selinux/compile.sh b/selinux/compile.sh
new file mode 100644
index 0000000..f70ab1b
--- /dev/null
+++ b/selinux/compile.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+set -e
+
+OUTDIR="$(dirname $0)"
+checkmodule -M -m -o ${OUTDIR}/ptunnel-ng.mod ${OUTDIR}/ptunnel-ng.te
+semodule_package -o ${OUTDIR}/ptunnel-ng.pp -m ${OUTDIR}/ptunnel-ng.mod
+
+exit 0